TelepathyQt4: AccountInterfaceAvatarInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# AccountInterfaceAvatarInterface Class Reference
[Account proxies]

`#include <TelepathyQt4/AccountManager>`

Inherits Tp::AbstractInterface.

List of all members.

## Signals

- void AvatarChanged ()

## Public Member Functions

- AccountInterfaceAvatarInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- AccountInterfaceAvatarInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- AccountInterfaceAvatarInterface (Tp::DBusProxy *proxy)
- AccountInterfaceAvatarInterface (const Tp::Client::AccountInterface &mainInterface)
- AccountInterfaceAvatarInterface (const Tp::Client::AccountInterface &mainInterface, QObject *parent)
- Tp::Avatar Avatar () const TELEPATHY_GNUC_DEPRECATED
- void setAvatar (const Tp::Avatar &newValue) TELEPATHY_GNUC_DEPRECATED

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Properties

- Tp::Avatar Avatar

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Account.Interface.Avatar."

## Constructor & Destructor Documentation

AccountInterfaceAvatarInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a AccountInterfaceAvatarInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

AccountInterfaceAvatarInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a AccountInterfaceAvatarInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

AccountInterfaceAvatarInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a AccountInterfaceAvatarInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

AccountInterfaceAvatarInterface | ( | const Tp::Client::AccountInterface & | mainInterface | ) | `[explicit]`

Creates a AccountInterfaceAvatarInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

AccountInterfaceAvatarInterface | ( | const Tp::Client::AccountInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a AccountInterfaceAvatarInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Account.Interface.Avatar", which this class represents.

Returns:
  The D-Bus interface name.

Tp::Avatar Avatar | ( |  | ) | const`[inline]`

Getter for the remote object property "Avatar".

Don't use this: it blocks the main loop.

Returns:
  The value of the property, or a default-constructed value if the property is not readable.

void setAvatar | ( | const Tp::Avatar & | newValue | ) | `[inline]`

Setter for the remote object property "Avatar".

Don't use this: it blocks the main loop.

Parameters:

  | newValue | The value to set the property to.

void AvatarChanged | ( |  | ) | `[signal]`

Represents the signal "AvatarChanged" on the remote object.

Emitted when the Avatar property changes. The avatar itself is deliberately not included in this signal, to reduce bus traffic in the (likely common) case where no running application cares about the user's own avatar.

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`

## Property Documentation

Tp::Avatar Avatar`[read, write]`

Represents property "Avatar" on the remote object.

The avatar to set on this account for display to other contacts, represented as a structure containing the bytes of the avatar, and the MIME type as a string; may be set to an empty byte-array and an empty string to indicate no avatar. When the account becomes connected, the account manager SHOULD set this avatar using SetAvatar if appropriate. This corresponds to NMC 4.x mc_account_get_avatar.